Skip to content

GET OIDC mappers.

GET
/api/web/custom/namespaces/{namespace}/oidc_providers/{name}/mappers
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/oidc_providers/example/mappers \
--header 'Authorization: <Authorization>'

GET OIDC mappers gets OIDC mappers from underlying IDM provider.

Examples of this operation.

namespace
required
string

Namespace Namespace contains namespace of OIDC provider. Namespace should be system.

name
required
string

OIDC provider name Name contains name/alias of underlying OIDC provider.

A successful response.

Media typeapplication/json
OIDC Mappers

When 3rd party OIDC provider uses non-standard field names, user creation in F5XC Identity may fail to identify right attributes for user object. Use this mapper to map values from authentication token to user attributes.

object
email
Email

Set authentication token field name to be used by F5XC for identifying user’s email. Please ensure the field name using here is set as part of authentication token from corresponding provider’s authentication application.

string format: email
<= 1024 characters /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/
Examplegenerated
{
"email": "hello@example.com"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example